Subject: Re: [PATCH v4 11/16] powerpc/64s: machine check interrupt update NMI accounting

From: Nicholas Piggin <[email-masked]>
Date: Sat, 09 May 2020 17:50:36 +1000

Excerpts from kbuild test robot's message of May 9, 2020 1:13 pm:
> Hi Nicholas,
> 
> I love your patch! Yet something to improve:

...

>   1419	#if defined(CONFIG_4xx) || defined(CONFIG_BOOKE)
>   1420			pr_cont("DEAR: "REG" ESR: "REG" ", regs->dar, regs->dsisr);
>   1421	#else
>   1422			pr_cont("DAR: "REG" DSISR: %08lx ", regs->dar, regs->dsisr);
>   1423	#endif
>   1424	#ifdef CONFIG_PPC64
>> 1425		pr_cont("IRQMASK: %lx IN_NMI:%d IN_MCE:%d", regs->softe, (int)get_paca()->in_nmi, (int)get_paca()->in_mce);

Oh I meant to get rid of that hunk, it crept back in :(

mpe if you could please take it out if you're merging this.

It was quite useful for debugging this stuff, I might do a proper patch 
for this, but for now not necessary (it doesn't matter for "normal" 
crashes only crash crashes).

Thanks,
Nick